Subject: Re: FVWM: Parentheses in ButtonStyle

From: Dominik Vogt <[email-masked]>
Date: Mon, 5 Nov 2001 11:21:36 +0100

On Wed, Oct 31, 2001 at 03:46:45PM -0700, Gregg Dameron wrote:
> I am an fvwm95 user who is converting to fvwm2.  I am running 2.4.3 on
> Solaris 7.  I ran the "setup 95" script from the root menu, then began
> experimenting with my "decorations" file.
> 
> The setup 95 script gave me these ButtonStyles:
> 
> ButtonStyle     1       MiniIcon (-- flat)
> ButtonStyle     all     -- UseTitleStyle Flat
> AddButtonStyle  2       Pixmap mini.winXX-close.xpm
> AddButtonStyle  4       Pixmap mini.winXX-maximize.xpm
> AddButtonStyle  6       Pixmap mini.winXX-minimize.xpm
> 
> To keep the fvwm95 look/feel, I wanted buttons 2, 4 & 6 to be raised,
> and button 1 to stay flat.  I changed the second line to:
> 
> ButtonStyle     Right   -- UseTitleStyle Raised
> 
> which worked for 2, 4 & 6 but had the side effect of raising button 1 as
> well.  I eventually got what I wanted by changing the first line to:
> 
> ButtonStyle     1       MiniIcon -- UseTitleStyle Flat
> 
> Oddly, removing the parentheses from the first line is what re-flattened
> button 1.  The man page mentions parentheses in the context of multiple
> definitions per line, but doesn't shed light on the behavior I'm
> seeing.  Can someone explain?

Uh, er, writing ButtonStyle lines is mostly a process of trial and
error.  I have long given up trying to understand how this exactly
works.

Bye

Dominik ^_^  ^_^

-- 
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].